import {CardCollection} from "./cardcollection";

export class Pile {
    name: string;
    cards: CardCollection;

    constructor(name: string, cards?: CardCollection) {
        this.name = name;
        this.cards = cards || new CardCollection();
    }

    remaining() {
        return this.cards.remaining();
    }
}
