import {Pile} from '../src/pile';
import {expect} from 'chai';
import {CardCollection} from "../src/cardcollection";

describe('pile', () => {
    it('should create an empty pile named discard', () => {
        let pile = new Pile('discard');
        expect(pile).to.be.instanceOf(Pile);
        expect(pile.cards).to.be.instanceOf(CardCollection);
        expect(pile.remaining()).to.equal(52);
        expect(pile.name).to.equal('discard');
    });
});