import {Deck} from '../src/deck';
import {expect} from 'chai';
import {CardCollection} from "../src/cardcollection";

describe('deck', () => {
    it('it should create a new deck', () => {
        let deck = new Deck(new CardCollection());
        expect(deck).to.be.instanceOf(Deck);
        expect(deck.cards).to.be.instanceOf(CardCollection);
        expect(deck.remaining()).to.equal(52);
        expect(deck.shuffled()).to.be.true;
    });

});